Creates a new task_files by supplying directly the field task_files.file_content as Byte Array
Request Information
URI Parameters :
None.
Body Parameters :
task_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| task_id |
Task Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier |
Required |
|
| show_on_web | boolean |
Request Formats :
application/json, text/json
{
"id": "e43c87aa-b6ac-4257-9648-4bc913aef5ff",
"task_id": "60d93ce2-d762-467a-9924-fadf6679f82a",
"file_name": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"tags": "sample string 6",
"mime_type": "sample string 7",
"file_type": "sample string 8",
"image_height": 9,
"image_width": 10,
"file_size": 11,
"sales_organization_id": "451f052a-3c38-4a72-a5f6-a8c6105c80f0",
"sales_organization_code": "sample string 13",
"file_content": "QEA=",
"dateutc_added": "2026-06-25T21:35:13.0886359+00:00",
"modified_dateutc": "2026-06-25T21:35:13.0886359+00:00",
"user_id": "66f8cca7-9eed-43a7-ab9e-7744512afae3",
"show_on_web": true
}
Response Information
Resource Description :
task_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| task_id |
Task Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier |
Required |
|
| show_on_web | boolean |
Response Formats
application/json, text/json
{
"id": "70d2b0ea-5ff2-4032-b7aa-4ca84ecea7d2",
"task_id": "d85fb1da-99f3-4dfd-b8b7-a35a5b8f30c6",
"file_name": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"tags": "sample string 6",
"mime_type": "sample string 7",
"file_type": "sample string 8",
"image_height": 9,
"image_width": 10,
"file_size": 11,
"sales_organization_id": "8cdb66c1-4a2d-4cab-8694-8c09fb4c553f",
"sales_organization_code": "sample string 13",
"file_content": "QEA=",
"dateutc_added": "2026-06-25T21:35:13.1042559+00:00",
"modified_dateutc": "2026-06-25T21:35:13.1042559+00:00",
"user_id": "0b0ecf5a-5ca0-4238-beff-cc2fbe63e825",
"show_on_web": true
}